﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Tree> Trees = new List<Tree>();

        private void FillData()
        {
            Tree c1 = new Tree(1, "Jessica");
            c1.Parent = null;
            Tree c11 = new Tree(11, "Megan");
            c11.Parent = c1;
            Tree c111 = new Tree(111, "Scarlet");
            c111.Parent = c11;
            c11.Children.Add(c111);
            Tree c12 = new Tree(12, "Kate");
            c12.Parent = c1;
            c1.Children.Add(c11);
            c1.Children.Add(c12);

            Tree c2 = new Tree(2, "Rachel");
            c2.Parent = null;
            Tree c21 = new Tree(21, "Megan");
            c21.Parent = c2;
            Tree c22 = new Tree(22, "Kate");
            c22.Parent = c2;
            c2.Children.Add(c21);
            c2.Children.Add(c22);

            Tree c3 = new Tree(3, "Jennifer");
            c3.Parent = null;

            Trees.Add(c1);
            Trees.Add(c2);
            Trees.Add(c3);
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Trees", Trees);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Trees", Trees);
                        
            r.ShowWithWpf();
        }
    }
}
